ru.bitel.bgbilling.modules.inet.api.common.bean

## Class TrafficRangeDetailValue

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.common.bean.TrafficRangeDetailValue

-     public class TrafficRangeDetailValue
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrafficRangeDetailValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetAccountingPeriod` | `getAccountingPeriod()`
    `long` | `getAmount()`
    `ContractTariffOption` | `getContractTariffOption()`
    `java.util.List<TrafficRangeDetail>` | `getDetailList()`
    `long` | `getMaxAmount()`
    `long` | `getRangeKey()`
    `void` | `setAccountingPeriod(InetAccountingPeriod accountingPeriod)`
    `void` | `setAmount(long amount)`
    `void` | `setContractTariffOption(ContractTariffOption contractTariffOption)`
    `void` | `setDetailList(java.util.List<TrafficRangeDetail> trafficRangeDetailList)`
    `void` | `setMaxAmount(long maxAmount)`
    `void` | `setRangeKey(long rangeKey)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrafficRangeDetailValue

          public TrafficRangeDetailValue()

  - ### Method Detail

    - #### getRangeKey

          public long getRangeKey()

    - #### setRangeKey

          public void setRangeKey(long rangeKey)

    - #### getAmount

          public long getAmount()

    - #### setAmount

          public void setAmount(long amount)

    - #### getMaxAmount

          public long getMaxAmount()

    - #### setMaxAmount

          public void setMaxAmount(long maxAmount)

    - #### getDetailList

          public java.util.List<TrafficRangeDetail> getDetailList()

    - #### setDetailList

          public void setDetailList(java.util.List<TrafficRangeDetail> trafficRangeDetailList)

    - #### getContractTariffOption

          public ContractTariffOption getContractTariffOption()

    - #### setContractTariffOption

          public void setContractTariffOption(ContractTariffOption contractTariffOption)

    - #### getAccountingPeriod

          public InetAccountingPeriod getAccountingPeriod()

    - #### setAccountingPeriod

          public void setAccountingPeriod(InetAccountingPeriod accountingPeriod)